Bug 476320 - System crashes when switching back from a text console to gnome with desktop effects on
System crashes when switching back from a text console to gnome with desktop ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 20:25 EST by Juan
Modified: 2009-12-18 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (157.26 KB, text/plain)
2008-12-21 03:38 EST, Juan
no flags Details

  None (edit)
Description Juan 2008-12-12 20:25:27 EST
Description of problem:
If I have desktop effects on and I switch to a text console, when I switch back to gnome, system crashes (or at least gnome). It stops responding to:
- mouse (it doesn't even move)
- keyboard in general
- switching to a text console in particular
- CTRL + ALT + DEL in particular
- power button (for a clean shutdown)

As I don't know how to use the magic sysrq key and I don't have other computer to try to connect remotely, the only option I have is to press reset and restart the system.

Version-Release number of selected component (if applicable):
I have last versions of all installed packages. I don't know exactly which component causes the problem. I list the most probable ones:
kernel-2.6.27.7-134.fc10.i686
gnome-sharp-2.24.0-1.fc10.i386
libgnomekbd-2.24.0-1.fc10.i386
gnome-keyring-sharp-1.0.0-0.2.87622svn.fc10.i386
libgnome-2.24.1-7.fc10.i386
libgnomeui-2.24.0-2.fc10.i386
libgnomecanvas-2.20.1.1-4.fc10.i386
gnome-session-2.24.2-1.fc10.i386
gnome-session-xsession-2.24.2-1.fc10.i386
gnome-desktop-2.24.2-1.fc10.i386
PolicyKit-gnome-libs-0.9-3.fc10.i386
PolicyKit-gnome-0.9-3.fc10.i386
libopenraw-gnome-0.0.5-1.fc9.i386
gnome-desktop-sharp-2.24.0-3.fc10.i386
gnome-settings-daemon-2.24.1-3.fc10.i386
gnome-power-manager-2.24.2-2.fc10.i386
gnome-user-share-0.40-3.fc10.i386
libX11-1.1.4-6.fc10.i386
xorg-x11-drivers-7.3-9.fc10.i386
xorg-x11-xinit-1.0.9-4.fc10.i386
xorg-x11-xauth-1.0.2-5.fc10.i386
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-xdm-1.1.6-6.fc10.i386
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-server-Xorg-1.5.3-5.fc10.i386
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386
xorg-x11-server-common-1.5.3-5.fc10.i386
xorg-x11-drv-ati-6.9.0-61.fc10.i386
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386

How reproducible:
Activate desktop effects and switch to a text console and back

Steps to Reproduce:
1. Activate desktop effects
2. CTRL + ALT + F3 to switch to a text console
3. CTRL + ALT + F1 to switch back to gnome
  
Actual results:
The system hangs

Expected results:
The systems goes on working normally

Additional info:
I have an AGP radeon video card. I think the model is 9200.
The same happenned with previous version of kernel: 2.6.27.5
Comment 1 Juan 2008-12-18 19:07:45 EST
After updating to xorg-x11-drv-ati-6.9.0-62.fc10.i386, the problem persists.
Comment 2 Matěj Cepl 2008-12-20 18:38:32 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Juan 2008-12-21 03:37:40 EST
Hi,
/etc/X11/xorg.conf is not available.
I attach the log file.
Thanks a lot.
Comment 4 Juan 2008-12-21 03:38:50 EST
Created attachment 327564 [details]
/var/log/Xorg.0.log
Comment 5 Juan 2008-12-24 14:18:52 EST
xorg-x11-drv-ati-6.9.0-63.fc10.i386
and
kernel-2.6.27.9-159.fc10.i686

do not fix the issue.

Happy Christmas! :)
Comment 6 Juan 2008-12-31 00:39:58 EST
More data, just in case it's useful:
I've tried to compile the kernel with AGP, DRM and frame buffer drivers compiled in, and use frame buffer console.
The problem persists.
Happy new year! :)
Comment 7 Bug Zapper 2009-11-18 04:40:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:16:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.